Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(285)

Issue 1549493004: Use std::move() instead of .Pass() in remoting/host (Closed)

Created:
4 years, 9 months ago by Sergey Ulanov
Modified:
4 years, 9 months ago
Reviewers:
Jamie, dcheng
CC:
chromium-apps-reviews_chromium.org, chromium-reviews, chromoting-reviews_chromium.org, extensions-reviews_chromium.org, oshima+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@move_not_pass
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use std::move() instead of .Pass() in remoting/host Now there is a presubmit check that doesn't allow Pass() anymore. See https://www.chromium.org/rvalue-references for information about std::move in chromium. Committed: https://crrev.com/1417e013d741b99685fee8f3d3c166f597655eda Cr-Commit-Position: refs/heads/master@{#366759}

Patch Set 1 #

Patch Set 2 : #

Total comments: 2

Patch Set 3 : include <utility> #

Unified diffs Side-by-side diffs Delta from patch set Stats (+623 lines, -573 lines) Patch
M remoting/host/audio_capturer_linux.cc View 1 2 2 chunks +2 lines, -1 line 0 comments Download
M remoting/host/audio_capturer_win.cc View 1 2 2 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/audio_pump.cc View 1 2 5 chunks +8 lines, -6 lines 0 comments Download
M remoting/host/audio_pump_unittest.cc View 1 2 4 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/backoff_timer.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/backoff_timer.cc View 1 2 2 chunks +8 lines, -4 lines 0 comments Download
M remoting/host/cast_extension.cc View 1 chunk +3 lines, -5 lines 0 comments Download
M remoting/host/cast_extension_session.cc View 1 2 4 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/chromeos/aura_desktop_capturer.cc View 1 2 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/chromeos/aura_desktop_capturer_unittest.cc View 1 2 2 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/chromeos/clipboard_aura.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/chromeos/mouse_cursor_monitor_aura.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/chromeos/skia_bitmap_desktop_frame.cc View 1 2 3 chunks +7 lines, -6 lines 0 comments Download
M remoting/host/chromoting_host.cc View 1 2 4 chunks +5 lines, -4 lines 0 comments Download
M remoting/host/chromoting_host_unittest.cc View 1 2 2 chunks +14 lines, -15 lines 0 comments Download
M remoting/host/client_session.cc View 1 2 4 chunks +5 lines, -4 lines 0 comments Download
M remoting/host/client_session_unittest.cc View 1 2 4 chunks +6 lines, -7 lines 0 comments Download
M remoting/host/daemon_process_win.cc View 1 2 3 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/desktop_capturer_proxy.cc View 1 2 3 chunks +5 lines, -4 lines 0 comments Download
M remoting/host/desktop_process.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/desktop_process_main.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/desktop_process_unittest.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/desktop_session_agent.cc View 1 2 4 chunks +6 lines, -3 lines 0 comments Download
M remoting/host/desktop_session_proxy.cc View 1 2 4 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/desktop_session_win.cc View 1 2 4 chunks +8 lines, -11 lines 0 comments Download
M remoting/host/desktop_shape_tracker_win.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/fake_desktop_environment.cc View 1 2 4 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/fake_host_extension.cc View 1 2 1 chunk +1 line, -2 lines 0 comments Download
M remoting/host/gcd_rest_client.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/gcd_rest_client.cc View 1 2 4 chunks +10 lines, -6 lines 0 comments Download
M remoting/host/gcd_rest_client_unittest.cc View 7 chunks +7 lines, -7 lines 0 comments Download
M remoting/host/gcd_state_updater.cc View 1 2 3 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/gcd_state_updater_unittest.cc View 1 2 5 chunks +5 lines, -4 lines 0 comments Download
M remoting/host/gnubby_auth_handler_posix.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/gnubby_socket.cc View 1 2 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/heartbeat_sender.cc View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/host/host_change_notification_listener_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/host_config.cc View 1 chunk +1 line, -3 lines 0 comments Download
M remoting/host/host_window_proxy.cc View 1 2 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/input_injector_chromeos.cc View 1 2 2 chunks +2 lines, -1 line 0 comments Download
M remoting/host/input_injector_mac.cc View 1 2 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/input_injector_win.cc View 1 2 3 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/input_injector_x11.cc View 1 2 4 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/ipc_audio_capturer.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/ipc_desktop_environment.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/ipc_desktop_environment_unittest.cc View 1 2 13 chunks +14 lines, -12 lines 0 comments Download
M remoting/host/ipc_input_injector.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/ipc_util_win.cc View 1 2 3 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/it2me/it2me_confirmation_dialog_proxy.cc View 1 2 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/it2me/it2me_host.cc View 1 2 8 chunks +16 lines, -15 lines 0 comments Download
M remoting/host/it2me/it2me_native_messaging_host.cc View 1 2 13 chunks +25 lines, -24 lines 0 comments Download
M remoting/host/it2me/it2me_native_messaging_host_main.cc View 1 2 2 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/it2me/it2me_native_messaging_host_unittest.cc View 1 2 8 chunks +12 lines, -10 lines 0 comments Download
M remoting/host/it2me_desktop_environment.cc View 1 2 2 chunks +4 lines, -6 lines 0 comments Download
M remoting/host/linux/audio_pipe_reader.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/me2me_desktop_environment.cc View 1 2 3 chunks +4 lines, -4 lines 0 comments Download
M remoting/host/mouse_shape_pump.cc View 1 2 3 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/mouse_shape_pump_unittest.cc View 1 2 2 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/native_messaging/log_message_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/native_messaging/native_messaging_pipe.cc View 1 2 3 chunks +7 lines, -8 lines 0 comments Download
M remoting/host/native_messaging/native_messaging_reader.cc View 1 2 4 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/native_messaging/native_messaging_reader_unittest.cc View 1 2 3 chunks +5 lines, -5 lines 0 comments Download
M remoting/host/native_messaging/native_messaging_writer.cc View 1 2 2 chunks +2 lines, -3 lines 0 comments Download
M remoting/host/native_messaging/native_messaging_writer_unittest.cc View 1 2 2 chunks +3 lines, -2 lines 0 comments Download
M remoting/host/native_messaging/pipe_messaging_channel.cc View 1 2 3 chunks +9 lines, -11 lines 0 comments Download
M remoting/host/oauth_token_getter_impl.cc View 1 2 3 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/pairing_registry_delegate.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/pairing_registry_delegate_linux.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/pairing_registry_delegate_win.cc View 1 2 3 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/pam_authorization_factory_posix.cc View 1 2 5 chunks +9 lines, -13 lines 0 comments Download
M remoting/host/policy_watcher.cc View 1 2 11 chunks +16 lines, -14 lines 0 comments Download
M remoting/host/register_support_host_request.cc View 1 2 3 chunks +3 lines, -3 lines 0 comments Download
M remoting/host/remoting_me2me_host.cc View 1 2 11 chunks +22 lines, -22 lines 0 comments Download
M remoting/host/resizing_host_observer.cc View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/host/resizing_host_observer_unittest.cc View 1 2 9 chunks +10 lines, -8 lines 0 comments Download
M remoting/host/server_log_entry_host.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/setup/daemon_controller.cc View 1 2 5 chunks +6 lines, -4 lines 0 comments Download
M remoting/host/setup/daemon_controller_delegate_linux.cc View 1 2 2 chunks +3 lines, -4 lines 0 comments Download
M remoting/host/setup/daemon_controller_delegate_mac.mm View 1 2 2 chunks +3 lines, -4 lines 0 comments Download
M remoting/host/setup/daemon_controller_delegate_win.cc View 1 2 2 chunks +3 lines, -4 lines 0 comments Download
M remoting/host/setup/host_starter.cc View 1 2 4 chunks +10 lines, -13 lines 0 comments Download
M remoting/host/setup/me2me_native_messaging_host.cc View 1 2 27 chunks +52 lines, -50 lines 0 comments Download
M remoting/host/setup/me2me_native_messaging_host_main.cc View 1 2 3 chunks +8 lines, -10 lines 0 comments Download
M remoting/host/setup/me2me_native_messaging_host_unittest.cc View 1 2 4 chunks +8 lines, -6 lines 0 comments Download
M remoting/host/shaped_desktop_capturer.cc View 1 2 2 chunks +5 lines, -4 lines 0 comments Download
M remoting/host/signaling_connector.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/single_window_desktop_environment.cc View 1 2 5 chunks +7 lines, -6 lines 0 comments Download
M remoting/host/single_window_input_injector_mac.cc View 1 2 3 chunks +7 lines, -8 lines 0 comments Download
M remoting/host/token_validator_factory_impl.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/token_validator_factory_impl_unittest.cc View 1 2 2 chunks +3 lines, -4 lines 0 comments Download
M remoting/host/touch_injector_win.cc View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M remoting/host/touch_injector_win_unittest.cc View 1 2 10 chunks +13 lines, -10 lines 0 comments Download
M remoting/host/video_frame_recorder.cc View 1 2 4 chunks +6 lines, -4 lines 0 comments Download
M remoting/host/video_frame_recorder_unittest.cc View 1 2 3 chunks +6 lines, -5 lines 0 comments Download
M remoting/host/win/launch_process_with_token.cc View 1 2 4 chunks +4 lines, -3 lines 0 comments Download
M remoting/host/win/security_descriptor.cc View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/host/win/session_desktop_environment.cc View 1 2 3 chunks +10 lines, -14 lines 0 comments Download
M remoting/host/win/session_input_injector.cc View 1 2 5 chunks +6 lines, -6 lines 0 comments Download
M remoting/host/win/unprivileged_process_delegate.cc View 1 2 6 chunks +15 lines, -24 lines 0 comments Download
M remoting/host/win/worker_process_launcher.cc View 1 2 3 chunks +5 lines, -4 lines 0 comments Download
M remoting/host/win/worker_process_launcher_unittest.cc View 1 2 4 chunks +9 lines, -13 lines 0 comments Download
M remoting/host/win/wts_session_process_delegate.cc View 1 2 11 chunks +19 lines, -32 lines 0 comments Download

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 16 (6 generated)
Sergey Ulanov
4 years, 9 months ago (2015-12-22 17:47:03 UTC) #2
dcheng
https://codereview.chromium.org/1549493004/diff/20001/remoting/host/audio_capturer_linux.cc File remoting/host/audio_capturer_linux.cc (right): https://codereview.chromium.org/1549493004/diff/20001/remoting/host/audio_capturer_linux.cc#newcode67 remoting/host/audio_capturer_linux.cc:67: callback_.Run(std::move(packet)); Don't forget to #include <utility> where appropriate.
4 years, 9 months ago (2015-12-22 17:48:20 UTC) #4
Sergey Ulanov
https://codereview.chromium.org/1549493004/diff/20001/remoting/host/audio_capturer_linux.cc File remoting/host/audio_capturer_linux.cc (right): https://codereview.chromium.org/1549493004/diff/20001/remoting/host/audio_capturer_linux.cc#newcode67 remoting/host/audio_capturer_linux.cc:67: callback_.Run(std::move(packet)); On 2015/12/22 17:48:20, dcheng wrote: > Don't forget ...
4 years, 9 months ago (2015-12-22 18:11:03 UTC) #6
dcheng
On 2015/12/22 at 18:11:03, sergeyu wrote: > https://codereview.chromium.org/1549493004/diff/20001/remoting/host/audio_capturer_linux.cc > File remoting/host/audio_capturer_linux.cc (right): > > https://codereview.chromium.org/1549493004/diff/20001/remoting/host/audio_capturer_linux.cc#newcode67 ...
4 years, 9 months ago (2015-12-22 18:26:24 UTC) #7
Sergey Ulanov
On 2015/12/22 18:26:24, dcheng wrote: > On 2015/12/22 at 18:11:03, sergeyu wrote: > > > ...
4 years, 9 months ago (2015-12-23 02:40:01 UTC) #8
dcheng
On 2015/12/23 at 02:40:01, sergeyu wrote: > On 2015/12/22 18:26:24, dcheng wrote: > > On ...
4 years, 9 months ago (2015-12-23 02:45:05 UTC) #9
Jamie
lgtm
4 years, 9 months ago (2015-12-23 13:48:38 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1549493004/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1549493004/40001
4 years, 9 months ago (2015-12-23 18:33:07 UTC) #12
commit-bot: I haz the power
Committed patchset #3 (id:40001)
4 years, 9 months ago (2015-12-23 19:01:30 UTC) #14
commit-bot: I haz the power
4 years, 9 months ago (2015-12-23 19:02:44 UTC) #16
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/1417e013d741b99685fee8f3d3c166f597655eda
Cr-Commit-Position: refs/heads/master@{#366759}

Powered by Google App Engine
This is Rietveld 408576698